summaryrefslogtreecommitdiffstats
path: root/source/n/samba/samba.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/samba/samba.SlackBuild')
-rwxr-xr-xsource/n/samba/samba.SlackBuild55
1 files changed, 31 insertions, 24 deletions
diff --git a/source/n/samba/samba.SlackBuild b/source/n/samba/samba.SlackBuild
index a7406724d..caaa4d195 100755
--- a/source/n/samba/samba.SlackBuild
+++ b/source/n/samba/samba.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2012, 2013, 2015, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2012, 2013, 2015, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,9 +22,11 @@
# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=${VERSION:-$(echo samba-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+PKGNAM=samba
+VERSION=${VERSION:-$(echo samba-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
if [ -e $CWD/machine.conf ]; then
. $CWD/machine.conf ]
@@ -56,34 +58,31 @@ else
fi
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
case "$ARCH" in
arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
*) TARGET=$ARCH-slackware-linux ;;
esac
-CWD=$(pwd)
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-samba
rm -rf $PKG
mkdir -p $TMP $PKG
-if [ -r /usr/lib${LIBDIRSUFFIX}/libtalloc.so.? -a ! -r /var/log/packages/talloc* ]; then
- echo "The Samba package needs to be removed before building to ensure that"
- echo "talloc (and possibly other bundled libraries) are included in the build."
- echo
- echo "Removing the Samba package in 15 seconds, and then continuing with the build."
- sleep 15
- removepkg samba
-fi
-
cd $TMP
rm -rf samba-$VERSION
-tar xvf $CWD/samba-$VERSION.tar.xz || exit 1
+tar xvf $CWD/samba-$VERSION.tar.?z || exit 1
cd samba-$VERSION || exit 1
-# Patch to install talloc/tevent/tdb libraries and includes:
-zcat $CWD/samba.install.talloc.tevent.tdb.diff.gz | patch -p1 --verbose || exit 1
-
if [ ! -d source3/lib/cmdline ]; then
( cd source3/lib
mkdir cmdline
@@ -132,16 +131,24 @@ CFLAGS="$SLKCFLAGS" \
--with-ldap \
--with-ads \
--without-pam \
- --build=$TARGET
+ --build=$TARGET || exit 1
# Gives errors:
#--builtin-libraries=replace,ccan \
#--bundled-libraries=heimdal \
-# -j options don't seem to work... [Yes they do! At least try to use -j below...]
-JOBS=6
-MAXJOBS=6
-export JOBS MAXJOBS
-make -j $MAXJOBS || make || exit 1
+# Build with waf directly so that multiple jobs work.
+# Script lifted from "./configure".
+PREVPATH=`dirname $0`
+WAF=./buildtools/bin/waf
+# using JOBS=1 gives maximum compatibility with
+# systems like AIX which have broken threading in python
+JOBS=$(echo $NUMJOBS | tr -dc '0-9')
+export JOBS
+# Make sure we don't have any library preloaded.
+unset LD_PRELOAD
+cd . || exit 1
+${PYTHON:=python} $WAF build "$@" || exit 1
+cd $PREVPATH
mkdir -p \
$PKG/usr/doc/samba-$VERSION \